using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class CmPartnerType {
        public CmPartnerType() {
            CmPartner = new HashSet<CmPartner>();
            FmsContract = new HashSet<FmsContract>();
        }

        //협력 업체 유형
        [Display(Name = "협력업체 유형"), Key]
        public int PartnerTypeId { get; set; }
        [Display(Name = "유형 이름"), Required]
        [StringLength(50)]
        public string Name { get; set; }
        [Display(Name = "사용 유무")]
        public bool? IsUse { get; set; }

        [InverseProperty("PartnerType")]
        public virtual ICollection<CmPartner> CmPartner { get; set; }
        [InverseProperty("PartnerType")]
        public virtual ICollection<FmsContract> FmsContract { get; set; }
    }
}
